> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionq.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieve detailed performance data for a characterization.

# Get a Characterization

Retrieve detailed performance data for a specific [characterization](/user-manual/glossary#characterizations) of a [backend](/user-manual/glossary#backend). This includes comprehensive fidelity metrics, gate error rates, and timing information that can help you understand the quantum hardware's performance at a particular point in time.

Learn more about [interpreting characterization data](/user-manual/backends#characterizations).


## OpenAPI

````yaml https://api.ionq.co/v0.4/api-docs GET /backends/{backend}/characterizations/{UUID}
openapi: 3.0.3
info:
  contact:
    email: support@ionq.co
    name: IonQ
    url: https://ionq.com/
  description: |
    *Last updated: April 30, 2026*
    IonQ's API for accessing the IonQ Quantum Cloud platform

    Please subscribe for automated updates when we perform maintenance or
    experience an outage.

    In addition, you may use the [status endpoint](#tag/status) to check the
    current status of our API.

    ## Authentication

    <SecurityDefinitions />
  title: IonQ Cloud Platform API
  version: v0.4
servers:
  - url: https://api.ionq.co/v0.4
security: []
paths:
  /backends/{backend}/characterizations/{UUID}:
    get:
      tags:
        - characterizations
      summary: Get a Characterization
      description: This endpoint retrieves a characterization.
      operationId: getCharacterization
      parameters:
        - $ref: '#/components/parameters/backend'
        - $ref: '#/components/parameters/uuid'
      responses:
        '200':
          $ref: '#/components/responses/GetCharacterization'
      x-codeSamples:
        - lang: curl
          source: >
            curl
            "https://api.ionq.co/v0.4/backends/qpu.aria-1/characterizations/aa54e783-0a9b-4f73-ad2f-63983b6aa4a8"
            \
              -H "Authorization: apiKey your-api-key"
components:
  parameters:
    backend:
      description: A backend where jobs can run on.
      in: path
      name: backend
      required: true
      schema:
        enum:
          - qpu.aria-1
          - qpu.aria-2
          - qpu.forte-1
          - qpu.forte-enterprise-1
          - qpu.forte-enterprise-2
          - qpu.forte-enterprise-3
        type: string
    uuid:
      description: A UUID identifying a specific resource
      example: 617a1f8b-59d4-435d-aa33-695433d7155e
      in: path
      name: UUID
      required: true
      schema:
        format: uuid
        type: string
  responses:
    GetCharacterization:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Characterization'
      description: Successfully retrieved current characterization
  schemas:
    Characterization:
      description: Quantum hardware characterization data.
      properties:
        backend:
          description: >-
            The backend calibrated hardware: `simulator`, `qpu.aria-1`,
            `qpu.aria-2`, `qpu.forte-1`, `qpu.forte-enterprise-1`,
            `qpu.forte-enterprise-2`, `qpu.forte-enterprise-3`
          type: string
        connectivity:
          description: >-
            An array of valid, unordered tuples of possible qubits for executing
            two-qubit gates (e.g., `[[0, 1], [0, 2], [1, 2]]`)
          example:
            - - 0
              - 1
            - - 0
              - 2
            - - 10
              - 9
          items:
            items:
              type: integer
            type: array
          type: array
        date:
          description: Date time of the measurement, in ISO format.
          example: '2025-06-16T00:00:00Z'
          type: string
        fidelity:
          description: >
            Fidelity for single-qubit (`1q`) and two-qubit (`2q`) gates, and
            State Preparation and Measurement (`spam`) operations.

            Currently provides only median fidelity; additional statistical data
            will be added in the future.
          properties:
            spam:
              description: SPAM error correction information.
              properties:
                median:
                  example: 0.9962
                  type: number
                stderr:
                  description: SPAM error.
                  example: null
                  minimum: 0
                  type: integer
              required:
                - median
              type: object
          required:
            - spam
          type: object
        id:
          description: UUID of the characterization.
          format: uuid
          type: string
        qubits:
          description: The number of qubits available.
          example: 25
          minimum: 1
          type: integer
        timing:
          description: >-
            Time, in seconds, of various system properties: `t1` time, `t2`
            time, `1q` gate time, `2q` gate time, `readout` time, and qubit
            `reset` time.
          properties:
            1q:
              type: integer
            2q:
              type: integer
            readout:
              description: Readout time.
              type: integer
            reset:
              description: qubit reset time.
              type: integer
            t1:
              example: 10
              type: integer
            t2:
              example: 1
              type: integer
          required:
            - readout
            - reset
          type: object
      type: object

````